

/* If file is unsaved, you will have to press
 * Ctrl-q the number of times indicated here
 * to quit without saving
 */
#define UNSAVED_QUIT_COUNT 1

// Set global tab width for the editor here
static const int tabwidth = 4;

/* 
 * Values from 1 to 256 representing 256 color/8-bit pallate
 * see: https://en.wikipedia.org/wiki/ANSI_escape_code#8-bit
 */
static const int EDITOR_BG_COLOR    = 235;
static const int VISUAL_BG_COLOR    =  69;
static const int HL_NUMBER_COLOR    = 207;
static const int HL_STRING_COLOR    = 116;
static const int HL_COMMENT_COLOR   = 243;
static const int HL_KEYWORD1_COLOR  =  69;
static const int HL_KEYWORD2_COLOR  = 167;
static const int HL_DEFAULT_COLOR   = 229;

static const int BAR_BG_COMMAND = 229;
static const int BAR_FG_COMMAND = 235;
static const int BAR_BG_INPUT = 121;
static const int BAR_FG_INPUT = 235;
static const int BAR_BG_VISUAL = 171;
static const int BAR_FG_VISUAL = 235;

